Package org.silverpeas.mobile.shared.dto.reminder

## Class ReminderDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.reminder.ReminderDTO

- All Implemented Interfaces:
    `Serializable`

      public class ReminderDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReminderDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getcId()` |
    `String` | `getcProperty()` |
    `String` | `getDateTime()` |
    `Integer` | `getDuration()` |
    `String` | `getId()` |
    `String` | `getProcessName()` |
    `String` | `getText()` |
    `TimeUnitDTO` | `getTimeUnit()` |
    `String` | `getUserId()` |
    `boolean` | `isCanBeDeleted()` |
    `boolean` | `isCanBeModified()` |
    `void` | `setCanBeDeleted​(boolean canBeDeleted)` |
    `void` | `setCanBeModified​(boolean canBeModified)` |
    `void` | `setcId​(String cId)` |
    `void` | `setcProperty​(String cProperty)` |
    `void` | `setDateTime​(String dateTime)` |
    `void` | `setDuration​(Integer duration)` |
    `void` | `setId​(String id)` |
    `void` | `setProcessName​(String processName)` |
    `void` | `setText​(String text)` |
    `void` | `setTimeUnit​(TimeUnitDTO timeUnit)` |
    `void` | `setUserId​(String userId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReminderDTO

          public ReminderDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getcId

          public String getcId()

    - #### setcId

          public void setcId​(String cId)

    - #### getcProperty

          public String getcProperty()

    - #### setcProperty

          public void setcProperty​(String cProperty)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId​(String userId)

    - #### getDateTime

          public String getDateTime()

    - #### setDateTime

          public void setDateTime​(String dateTime)

    - #### getDuration

          public Integer getDuration()

    - #### setDuration

          public void setDuration​(Integer duration)

    - #### getTimeUnit

          public TimeUnitDTO getTimeUnit()

    - #### setTimeUnit

          public void setTimeUnit​(TimeUnitDTO timeUnit)

    - #### getText

          public String getText()

    - #### setText

          public void setText​(String text)

    - #### isCanBeModified

          public boolean isCanBeModified()

    - #### setCanBeModified

          public void setCanBeModified​(boolean canBeModified)

    - #### isCanBeDeleted

          public boolean isCanBeDeleted()

    - #### setCanBeDeleted

          public void setCanBeDeleted​(boolean canBeDeleted)

    - #### getProcessName

          public String getProcessName()

    - #### setProcessName

          public void setProcessName​(String processName)